#ifndef FLUTTER_PLUGIN_HELLO1234_PLUGIN_H_
#define FLUTTER_PLUGIN_HELLO1234_PLUGIN_H_

#include <flutter/method_channel.h>
#include <flutter/plugin_registrar_windows.h>

#include <memory>

namespace hello1234 {

class Hello1234Plugin : public flutter::Plugin {
 public:
  static void RegisterWithRegistrar(flutter::PluginRegistrarWindows *registrar);

  Hello1234Plugin();

  virtual ~Hello1234Plugin();

  // Disallow copy and assign.
  Hello1234Plugin(const Hello1234Plugin&) = delete;
  Hello1234Plugin& operator=(const Hello1234Plugin&) = delete;

  // Called when a method is called on this plugin's channel from Dart.
  void HandleMethodCall(
      const flutter::MethodCall<flutter::EncodableValue> &method_call,
      std::unique_ptr<flutter::MethodResult<flutter::EncodableValue>> result);
};

}  // namespace hello1234

#endif  // FLUTTER_PLUGIN_HELLO1234_PLUGIN_H_
